#include <stdio.h>

void main(void) {

	int  char_count;
	char ptr[] = "строка";

	// Отображаем числовые значения в различных форматах
	printf("\n%23d  \n%e  \n%.3E  \n%f  \n%+g  \n%-23G \n\n",
			  1111,   0.01, 0.01,   0.01, 0.01,  0.0000001);

	// Отображаем строку ptr и подсчитываем количество выведенных
	// на экран символов
	printf("%s%n", ptr,  &char_count);
	printf("\nПредыдущая функция вывела %d символов.\n\n", char_count);

	// Отображаем текстовую строку и ее адрес
	printf("Это %s, расположенная по адресу %Lp.\n", ptr, ptr);

	// Выдаем звуковой сигнал
	printf("\a");

	return;
}

